
QGIS Application - Bug report #19807

Fix saving graphical model in project

2018-09-10 03:45 PM - Simon Gröchenig

Status: Closed

Priority: High

Assignee:

Category: Processing/Modeller

Affected QGIS version:3.3(master) Regression?: Yes

Operating System: Win 7 Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 27631

Description

I can save graphical models only for the first time. When I update the model and try to save it again (pressing the green 'Save model in

project' button), it is not saved. However, a info message claims it is saved.

Expected behavior: Always save latest graphical model in project. Either create a new one or replace the existing one.

Reproduction:

- Create new project

- Open graphical model editor

- Create a simple model

- Save it in project (green button)

- Close model editor

- Look for model in toolbox and click 'edit model' in order to reopen the graphical model editor

- Modify the model

- Save the updated model by clicking on green save button

- Close and reopen model

- Only the first version of the model is shown!!!

History

#1 - 2018-09-10 03:55 PM - Giovanni Manghi

- Easy fix? changed from Yes to No

- Priority changed from Normal to High

- Regression? changed from No to Yes

#2 - 2018-09-11 01:32 AM - Nyall Dawson

- Status changed from Open to Feedback

Hm, I can't reproduce this, using the exact same steps!

What inputs/algorithms do you put in your simple model?

#3 - 2018-09-11 11:38 AM - Simon Gröchenig

- File model.zip added

I tried to reproduce with a fresh install of QGIS dev. It still doesn't work as expected.
For the first version of the model I only added a Vector Layer.

For the second version I added a Buffer alg.

I have compared the qgs-project-files from before and after modifying the model. The are equal.

I can only save updated models in the project if I modify the name of the model.

I have attached a zip. It contains two qgs-project files. Maybe they help...

model.qgs should contain the updated model, however it only contains the first version of the model.

model1.qgs contains both versions with different names.

#4 - 2018-09-11 01:56 PM - Giovanni Manghi

- Status changed from Feedback to Open

#5 - 2018-09-12 03:57 AM - Nyall Dawson

- Resolution set to duplicate

- Status changed from Open to Closed

Ah - I missed the "save in project" part here.

Duplicate of #19824

Files

model.zip 3.41 KB 2018-09-11 Simon Gröchenig
